<template>
    <div class="error-404-not-found text-center">
        <router-link to="/" class="home-link flex aic jcc"><div class="logo"></div></router-link>
        <div class="err-text"><span class="err-code">404</span>This page doesn't exist</div>
    </div>
</template>

<script>
    export default {
        name: "NotFound"
    }
</script>

<style scoped lang="scss">
    .error-404-not-found {
        padding: 24px 12px;
        font-size: 24px;
        .home-link {
            margin: 0 auto 24px auto;
            width: 173px;
            height: 22px;
            .logo {
                background-size: contain;
                background-position: 50%;
                background-repeat: no-repeat;
                background-image: url('../../img/logo.svg');
                display: inline-block;
                width: 173px;
                height: 22px;
                transition: .2s ease;
                &:hover { opacity: .8 }
            }
        }
        .err-text {
            .err-code {
                display: inline-block;
                margin-right: 12px;
                color: #DE343A;
                font-weight: 700;
                &:after { content: ':'; }
            }
        }
    }
</style>
